From 5ab880f474a2263625033aee6d9236f6c10af2b4 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Sat, 5 Feb 2022 18:41:07 +0000
Subject: [PATCH] drm: panel: Fix compilation warnings

See: https://github.com/raspberrypi/linux/pull/4812

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 drivers/gpu/drm/panel/panel-ilitek-ili9806e.c | 2 +-
 drivers/gpu/drm/panel/panel-tdo-y17p.c        | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

--- a/drivers/gpu/drm/panel/panel-ilitek-ili9806e.c
+++ b/drivers/gpu/drm/panel/panel-ilitek-ili9806e.c
@@ -421,7 +421,7 @@ static int ili9806_probe(struct spi_devi
 	if (!id)
 		return -ENODEV;
 
-	ctx->bus_format = (u32)id->data;
+	ctx->bus_format = (u32)(uintptr_t)id->data;
 
 	spi_set_drvdata(spi, ctx);
 	ctx->spi = spi;
--- a/drivers/gpu/drm/panel/panel-tdo-y17p.c
+++ b/drivers/gpu/drm/panel/panel-tdo-y17p.c
@@ -218,7 +218,7 @@ static int tdo_y17p_probe(struct spi_dev
 	if (!id)
 		return -ENODEV;
 
-	ctx->bus_format = (u32)id->data;
+	ctx->bus_format = (u32)(uintptr_t)id->data;
 
 	spi_set_drvdata(spi, ctx);
 	ctx->spi = spi;
